<?php

namespace Drupal\switch_theme;

interface SwitchthemeManagerInterface {
  /** 
   * Get switch themes
   *
   * @return array
   */
  public function getSwitchThemes();

  /** 
   * Get switch theme
   *
   * @return array|null
   */
  public function getItem($id);

  /** 
   * Get selected roles
   * 
   * @return array|null
   */
  public function getSelectedRoles($id);
}
